Java applet error in Chrome


I opened a webpage with a Java applet in the Google Chrome browser. The message “This plug-in is not supported” was displayed in the canvas of the applet.


Chrome has changed the API it offers to plugins from the Netscape Plugin API (NPAPI) to Pepper Plugin API (PPAPI). I use the IcedTea Java plugin for Chrome. It seems that this plugin was written to use NPAPI, so it does not work in Chrome now.

Firefox seems to still support NPAPI, so I opened the Java applet page in it and it worked fine.

Tried with: Chrome 39.0.2171.95, Firefox 34 and Ubuntu 14.04

Leave a Reply

Fill in your details below or click an icon to log in: Logo

You are commenting using your account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s